Subject: Re: [PATCH v3 3/6] vbus: add a "vbus-proxy" bus model for vbus_driver objects

From: Avi Kivity <[email-masked]>
Date: Wed, 19 Aug 2009 10:13:57 +0300

On 08/19/2009 09:40 AM, Gregory Haskins wrote:
>
>    
>>> So if I whip up a virtio-net backend for vbus with a PCI compliant
>>> connector, you are happy?
>>>
>>>        
>> This doesn't improve virtio-net in any way.
>>      
> Any why not?  (Did you notice I said "PCI compliant", i.e. over virtio-pci)
>    

Because virtio-net will have gained nothing that it didn't have before.

>> virtio already supports this model; see lguest and s390.  Transporting
>> virtio over vbus and vbus over something else doesn't gain anything over
>> directly transporting virtio over that something else.
>>      
> This is not what I am advocating.
>
>    

What are you advocating?  As far as I can tell your virtio-vbus 
connector plus the vbus-kvm connector is just that.

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.